<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (11.0.22) on Sat Apr 20 15:06:18 BRT 2024 -->
<title>Uses of Class com.daulio.desafiotcebackend.model.User (desafiotcebackend 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2024-04-20">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.daulio.desafiotcebackend.model.User (desafiotcebackend 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in com.daulio.desafiotcebackend.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class com.daulio.desafiotcebackend.model.User" class="title">Uses of Class<br>com.daulio.desafiotcebackend.model.User</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.daulio.desafiotcebackend.converter">com.daulio.desafiotcebackend.converter</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#com.daulio.desafiotcebackend.model">com.daulio.desafiotcebackend.model</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.daulio.desafiotcebackend.repository">com.daulio.desafiotcebackend.repository</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section><a id="com.daulio.desafiotcebackend.converter">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a> in <a href="../../converter/package-summary.html">com.daulio.desafiotcebackend.converter</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../converter/package-summary.html">com.daulio.desafiotcebackend.converter</a> that return <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserConverter.</span><code><span class="memberNameLink"><a href="../../converter/UserConverter.html#toEntity(com.daulio.desafiotcebackend.dto.UserDTO)">toEntity</a></span>&#8203;(<a href="../../dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a>&nbsp;dto)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../converter/package-summary.html">com.daulio.desafiotcebackend.converter</a> that return types with arguments of type <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserConverter.</span><code><span class="memberNameLink"><a href="../../converter/UserConverter.html#toEntity(java.util.List)">toEntity</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../../dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a>&gt;&nbsp;list)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../converter/package-summary.html">com.daulio.desafiotcebackend.converter</a> with parameters of type <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserConverter.</span><code><span class="memberNameLink"><a href="../../converter/UserConverter.html#toDTO(com.daulio.desafiotcebackend.model.User)">toDTO</a></span>&#8203;(<a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a>&nbsp;user)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Method parameters in <a href="../../converter/package-summary.html">com.daulio.desafiotcebackend.converter</a> with type arguments of type <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../../dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserConverter.</span><code><span class="memberNameLink"><a href="../../converter/UserConverter.html#toDTO(java.util.List)">toDTO</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a>&gt;&nbsp;list)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section><a id="com.daulio.desafiotcebackend.model">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a> in <a href="../package-summary.html">com.daulio.desafiotcebackend.model</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">com.daulio.desafiotcebackend.model</a> that return types with arguments of type <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Optional.html?is-external=true" title="class or interface in java.util" class="externalLink">Optional</a>&lt;<a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserDetailsModel.</span><code><span class="memberNameLink"><a href="../UserDetailsModel.html#getUser()">getUser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section><a id="com.daulio.desafiotcebackend.repository">
<!--   -->
</a>
<h3>Uses of <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a> in <a href="../../repository/package-summary.html">com.daulio.desafiotcebackend.repository</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../repository/package-summary.html">com.daulio.desafiotcebackend.repository</a> that return types with arguments of type <a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Optional.html?is-external=true" title="class or interface in java.util" class="externalLink">Optional</a>&lt;<a href="../User.html" title="class in com.daulio.desafiotcebackend.model">User</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">UserRepository.</span><code><span class="memberNameLink"><a href="../../repository/UserRepository.html#findByUsername(java.lang.String)">findByUsername</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;login)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in com.daulio.desafiotcebackend.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2024. All rights reserved.</small></p>
</footer>
</body>
</html>
